|  | Home · All Classes · Modules

# QStateMachine.SignalEvent Class Reference
[QtCore module]

The SignalEvent class represents a Qt signal event. More...

Inherits QEvent.

### Methods

- list-of-QVariant arguments (self)
- QObject sender (self)
- int signalIndex (self)

## Detailed Description

The SignalEvent class represents a Qt signal event.

A signal event is generated by a QStateMachine in response to a Qt signal. The QSignalTransition class provides a transition associated with a signal event. QStateMachine.SignalEvent is part of The State Machine Framework.

The sender() function returns the object that generated the signal. The signalIndex() function returns the index of the signal. The arguments() function returns the arguments of the signal.

## Method Documentation

### list-of-QVariant SignalEvent.arguments (self)

Returns the arguments of the signal.

### QObject SignalEvent.sender (self)

Returns the object that emitted the signal.

See also QObject.sender().

### int SignalEvent.signalIndex (self)

Returns the index of the signal.

See also QMetaObject.indexOfSignal() and QMetaObject.method().